# Path to GC Roots

Find out who is keeping alive a set of objects.

## Motivation

Having found an expensive object it is then important to find all the reasons it is kept alive.

## Arguments

Argument | Description
--- | ---
object | One object for which the paths to GC roots should be found.
-excludes | Fields of certain classes which should be ignored when finding paths. For example this allows paths through Weak or Soft Reference referents to be ignored.
-numberofpaths | The number of different paths to be displayed.

## Result